%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}
%define __debug_install_post %{mingw32_debug_install_post}

%global veryear 2007
%global vermon  10
%global verday  18

Name:           mingw-libsqlite3x
Version:        %{veryear}%{vermon}%{verday}
Release:        15%{?dist}
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine

Group:          System Environment/Libraries
License:        zlib
URL:            http://www.wanderinghorse.net/computing/sqlite/
Source0:        http://www.wanderinghorse.net/computing/sqlite/libsqlite3x-%{veryear}.%{vermon}.%{verday}.tar.gz
Source1:        libsqlite3x-autotools.tar.gz
Patch1:         libsqlite3x-prep.patch
Patch2:         libsqlite3x-includes.patch

BuildArch:      noarch

BuildRequires:  mingw32-sqlite
BuildRequires:  dos2unix
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-pthreads

%description
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sqlite3x is a C++ wrapper API for working
with sqlite3 databases that uses exceptions.


%package -n      mingw32-libsqlite3x
Summary:         MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine

%description -n mingw32-libsqlite3x
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sqlite3x is a C++ wrapper API for working
with sqlite3 databases that uses exceptions.

%package -n     mingw32-libsq3
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine
Group:          Development/Libraries
Requires:       mingw32-libsqlite3x = %{version}-%{release}

%description -n mingw32-libsq3
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sq3 is a C++ wrapper API for working
with sqlite3 databases that does not use exceptions.


%{mingw32_debug_package}


%prep
%setup -q -n libsqlite3x-%{veryear}.%{vermon}.%{verday} -a 1
dos2unix *.hpp *.cpp
%patch1 -p0 -b .prep
%patch2 -p0 -b .incl
aclocal
libtoolize -f
autoheader
autoconf
automake -a -c
%{mingw32_configure} --disable-static
iconv -f iso8859-1 -t utf-8  < README > R
mv R README


%build
make


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files -n mingw32-libsqlite3x
%doc AUTHORS README Doxygen-index.txt
%{mingw32_bindir}/libsqlite3x-1.dll
%{mingw32_includedir}/sqlite3x
%{mingw32_libdir}/libsqlite3x.dll.a
%{mingw32_libdir}/pkgconfig/libsqlite3x.pc

%files -n mingw32-libsq3
%doc AUTHORS README Doxygen-index.txt
%{mingw32_bindir}/libsq3-1.dll
%{mingw32_includedir}/sq3
%{mingw32_libdir}/libsq3.dll.a
%{mingw32_libdir}/pkgconfig/libsq3.pc

%changelog
* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 20071018-15
- Renamed the source package to mingw-libsqlite3x (RHBZ #800923)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags
- Dropped .la files
- Add explicit dependency on mingw32-pthreads

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 20071018-14
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071018-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 20071018-12
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071018-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  8 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-10
- conform to licensing guide update

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 20071018-9
- Bump for F12 mass rebulid.

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-8
- add debuginfo packages

* Tue Apr 28 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-7
- reorder BR/BA
- remove (duplicate) docs
- change License tag

* Mon Apr 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-6
- add missing BR

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-5
- unify main and devel subpackage

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-4
- copy from native package
